FailedOk

th/SRPMS[OK]
th/x32[OK]
th/i686[OK]
th/x86_64[OK]

ac/SRPMS[OK]
ac/i386[OK]
ac/i586[OK]
ac/i686[OK]
ac/alpha[OK]
ac/amd64[OK]
ac/athlon[OK]
ac/ppc[OK]
ac/sparc[OK]
ac/sparc64[OK]

Advanced Search
main()
Powered by PLD Linux
(c) 2002-2024 PLD Team
$Revision: 1.37 $
Powered by /dev/null.
Your IP: 44.220.62.183

fontconfig 179c2742-b4a4-4ab7-8dee-716b8dc917df

Status:Failed
Source URL:https://buildlogs.pld-linux.org/pld/th/x86_64/FAIL/fontconfig,179c2742-b4a4-4ab7-8dee-716b8dc917df.bz2
text/plain URL:View!
full text:View!
rpm -qa of builder:View!
Date:2023/11/26 10:17:06

Toc:

  • error 1
  • rpm: error: Failed build dependencies:
  • error 2
  • rpm: error: Failed build dependencies:
  • error 3
  • poldek: error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlicommon.la) not found
  • error 4
  • poldek: error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlidec.la) not found
  • error 5
  • poldek: error: 2 unresolved dependencies
  • error 6
  • poldek: error: Failed dependencies:
  • error 7
  • error: freetype-devel: no such package
  • error 8
  • rpm: error: Failed build dependencies:
  • error 9
  • error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlicommon.la) not found
  • error 10
  • error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlidec.la) not found
  • error 11
  • error: 2 unresolved dependencies
  • error 12
  • error: BR installation failed

Content:

checking if we should skip the build
started at: Sun Nov 26 10:16:56 2023
killing old processes on a builder
sending signal 9 to pid -1
cleaning up /tmp
fetching https://srcbuilder.pld-linux.org/th//srpms/179c2742-b4a4-4ab7-8dee-716b8dc917df/fontconfig-2.14.2-2.src.rpm
fetched 1455669 bytes, 3483.7 K/s
installing srpm: fontconfig-2.14.2-2.src.rpm
+ install -d /tmp/B.xa3de0lr/BUILD /tmp/B.xa3de0lr/RPMS
+ LC_ALL=en_US.UTF-8
+ rpm -qp --changelog fontconfig-2.14.2-2.src.rpm
* Sun Nov 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fontconfig.git;a=log;h=master
* Sun Nov 26 2023 Jan Rękorajski <baggins@pld-linux.org> cd28cb1
- Release 2 (by relup.sh) * Fri Jan 27 2023 Jan Palus <atler@pld-linux.org> 248fe7b
- up to 2.14.2 * Sat Oct 22 2022 Jakub Bogusz <qboosh@pld-linux.org> f97a4e5
- versioned Obsoletes * Sat Oct 22 2022 Jan Palus <atler@pld-linux.org> cd3e83c
- up to 2.14.1 * Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> e129e34
- disable test which requires network access * Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> d96ee8f
- BR: bubblewrap for tests; rel 2 * Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> caff1e1
- up to 2.14.0 * Thu Dec 19 2019 Jan Palus <atler@pld-linux.org> 350d98e
- real solution for missing FT_Done_MM_Var symbol; rel 4 * Wed Dec 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c8cfad
- rel 3; disable tests using bwrap * Wed Dec 18 2019 Elan Ruusamäe <glen@pld-linux.org> 34d0d81
- Release 2 to rebuild to fix missing FT_Done_MM_Var symbol * Sun Sep 02 2018 Jakub Bogusz <qboosh@pld-linux.org> f14aacd
- updated freetype and libuuid dependencies; tests use json-c * Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> d8cf30e
- up to 2.13.1 * Wed Mar 14 2018 Jan Palus <atler@pld-linux.org> a0282ae
- add another patch to fix weight without explicit attribute; rel 3 * Sun Mar 11 2018 Jan Palus <atler@pld-linux.org> 1e37af2
- keep cat of test log but make sure build fails on test failure * Sun Mar 11 2018 Jan Palus <atler@pld-linux.org> daca2f4
- temporarily enable showing test/test-suite.log on test failure * Sat Mar 10 2018 Jan Palus <atler@pld-linux.org> 224401c
- patch to fix constant (non-ranged) weight in font pattern; rel 2 * Tue Mar 06 2018 Jan Palus <atler@pld-linux.org> 6aebbf0
- up to 2.13.0 * Fri Sep 22 2017 Jan Palus <atler@pld-linux.org> 694329e
- up to 2.12.6 * Mon Sep 11 2017 Jan Palus <atler@pld-linux.org> 42b0f49
- up to 2.12.5 * Wed Jul 05 2017 Jan Palus <atler@pld-linux.org> 969af15
- up to 2.12.4 + rpm -Uhv --nodeps --define '_topdir /tmp/B.xa3de0lr' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' fontconfig-2.14.2-2.src.rpm Updating / installing... fontconfig-1:2.14.2-2 ######################################## + rm -f fontconfig-2.14.2-2.src.rpm + install -m 700 -d /tmp/B.xa3de0lr/BUILD/tmp + TMPDIR=/tmp/B.xa3de0lr/BUILD/tmp + exec nice -n 0 rpmbuild -bp --short-circuit --nodeps --define '_topdir /tmp/B.xa3de0lr' --define '_specdir %{_topdir}' --define '_sourcedir %{_specdir}' --define '_rpmdir %{_topdir}/RPMS' --define '_builddir %{_topdir}/BUILD' --target x86_64-pld-linux --define 'prep exit 0' /tmp/B.xa3de0lr/fontconfig.spec warning: Could not canonicalize hostname: ymir Building target platforms: x86_64-pld-linux Building for target x86_64-pld-linux RPM build warnings: Could not canonicalize hostname: ymir checking BuildConflict-ing packages rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: freetype-devel >= 1:2.9 is needed by fontconfig-1:2.14.2-2.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir no BuildConflicts found checking BR rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: freetype-devel >= 1:2.9 is needed by fontconfig-1:2.14.2-2.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir updating poldek cache... ready is up to date th is up to date th is up to date th-ready is up to date th-ready is up to date th-test is up to date th-test is up to date checking conflicting packages in BRed packages poldek: Loading [pndir]ready... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-test... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th-ready... poldek: Loading [pndir]th... poldek: Loading [pndir]th... poldek: 33072 packages read poldek: Removed 2255 duplicate packages from available set poldek: Processing dependencies... poldek: freetype-devel-2.13.2-1.x86_64 marks harfbuzz-devel-8.3.0-1.x86_64 (cap harfbuzz-devel >= 2.0.0) poldek: error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlicommon.la) not found poldek: error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlidec.la) not found poldek: There are 2 packages to install (1 marked by dependencies): poldek: A freetype-devel-2.13.2-1.x86_64 harfbuzz-devel-8.3.0-1.x86_64 poldek: This operation will use 2.5MB of disk space. poldek: freetype-devel-2.13.2-1.x86_64.rpm: digests OK poldek: harfbuzz-devel-8.3.0-1.x86_64.rpm: digests OK poldek: Need to get 305.6KB of archives. poldek: error: 2 unresolved dependencies poldek: harfbuzz-devel-8.3.0-1.x86_64.rpm: digests OK poldek: freetype-devel-2.13.2-1.x86_64.rpm: digests OK poldek: Executing pm-command.sh --upgrade -vh --test --root / --define _check_dirname_deps 0... poldek: warning: /root/.cache/poldek/ftp_ep09.pld-linux.org.dists.th.ready.x86.64.RPMS/harfbuzz-devel-8.3.0-1.x86_64.rpm: Header V4 DSA/SHA1 Signature, key ID e4f1bc2d: NOKEY poldek: error: Failed dependencies: poldek: libtool(/usr/lib64/libbrotlicommon.la) is needed by freetype-devel-1:2.13.2-1.x86_64 poldek: libtool(/usr/lib64/libbrotlidec.la) is needed by freetype-devel-1:2.13.2-1.x86_64 uninstalling conflicting packages removing freetype-devel error: freetype-devel: no such package package freetype-devel removal failed checking BR rpm: warning: Could not canonicalize hostname: ymir rpm: error: Failed build dependencies: rpm: freetype-devel >= 1:2.9 is needed by fontconfig-1:2.14.2-2.x86_64 rpm: Building target platforms: x86_64-pld-linux rpm: Building for target x86_64-pld-linux rpm: rpm: RPM build warnings: rpm: Could not canonicalize hostname: ymir installing BR: freetype\-devel + poldek --noask --caplookup -Q -v '--ignore=hhvm-*' '--ignore=php4-*' '--ignore=php52-*' '--ignore=php54-*' '--ignore=php55-*' '--ignore=php56-*' '--ignore=php70-*' '--ignore=php71-*' '--ignore=php72-*' '--ignore=php73-*' '--ignore=php74-*' '--ignore=php80-*' '--ignore=php81-*' '--ignore=php82-*' --upgrade freetype-devel Loading [pndir]ready... Loading [pndir]th-test... Loading [pndir]th-test... Loading [pndir]th-ready... Loading [pndir]th-ready... Loading [pndir]th... Loading [pndir]th... 33072 packages read Removed 2255 duplicate packages from available set Processing dependencies... freetype-devel-2.13.2-1.x86_64 marks harfbuzz-devel-8.3.0-1.x86_64 (cap harfbuzz-devel >= 2.0.0) error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlicommon.la) not found error: freetype-devel-2.13.2-1.x86_64: req libtool(/usr/lib64/libbrotlidec.la) not found There are 2 packages to install (1 marked by dependencies): A freetype-devel-2.13.2-1.x86_64 harfbuzz-devel-8.3.0-1.x86_64 This operation will use 2.5MB of disk space. freetype-devel-2.13.2-1.x86_64.rpm: digests OK harfbuzz-devel-8.3.0-1.x86_64.rpm: digests OK Need to get 305.6KB of archives. error: 2 unresolved dependencies error: BR installation failed + chmod -R u+rwX /tmp/B.xa3de0lr/BUILD + rm -rf /tmp/B.xa3de0lr/tmp /tmp/B.xa3de0lr/BUILD + rm -rf /tmp/B.xa3de0lr Begin-PLD-Builder-Info Build-Time: user:5.80s sys:2.43s real:10.37s (faults io:0 non-io:342433) End-PLD-Builder-Info
[Back to list of logs] [View rpm -qa of builder]